/* From: "dub tones" <dtones@hotmail.com>
*/


void EraseFlashSegment( unsigned int *ptrFlash )
{
  unsigned int i;

  asm("dint");
  WDTCTL = 0x5A80;
  FCTL1 = 0x0A502;
  FCTL3 = 0x0A500;
  *ptrFlash=0xFF;
  for(i=0; i<1000; i++)
    asm("nop");
  WDTCTL = WDTPW+0x0c;
  asm("eint");
}

void WriteFlash( unsigned int *uintAddress, unsigned int uintData)
{
  WDTCTL = WDTPW+0x0c;
  asm("dint");
  while(BUSY & FCTL3);
  FCTL3 = FWKEY;
  FCTL1 = FWKEY + WRT;
  *uintAddress = uintData;
  FCTL1 = FWKEY;
  FCTL3 ^= (FXKEY + LOCK);
  asm("eint");
}



