#ifndef GFXBASIC_H
#define GFXBASIC_H
extern unsigned short gfxbase;                                  //this one is used in drawing funcs

void gfxPutc(char c);
void gfx_init(void);                                    //initialize LCD memory and display modes
void set_cursor(unsigned char x, unsigned char y);
void set_pointer(unsigned char x, unsigned char y);
void clear_lcd_text(void);
void clear_lcd_gfx(void);

void clear_lcd_gfx(void);
void lcd_setpixel(unsigned char x, unsigned char y);   //set single pixel in 240x64 array
void fill_rectangle(unsigned short x1,unsigned short y1, unsigned short x2, unsigned short y2);
void rectangle(unsigned short x1, unsigned short y1, unsigned short x2, unsigned short y2);

#endif //GFXBASIC_H
