/* From:"dub tones" <dtones@hotmail.com> */

/*
Thanks. I wasn't able to find that information. Anyhow, this is one of the 
rand() functions I've used for the MSP430. It probably isn't perfect for all 
applications, but should be suitable for most:
*/

static int globSeed;

void srand(int ss)
{
	globSeed = ss;
}


int rand( void )
{
    unsigned int uintRand;

    globSeed = (globSeed>>1) ^ (TBR | TAR);
    uintRand = (unsigned int)globSeed ^ (unsigned int)
         ADC12MEM&ADC12MEM0^TBSSEL1^TBR^TBCCR0|TAR;

    return(uintRand);
}

/*
An srand() can provide a value for globSeed (Just a global seed value).
This function works without disrupting the ADC or any timers.

Warren.
*/

