#include "hardware.h"

#include "winlogos.ci"

extern unsigned char videomem[24*4];
extern unsigned int freq;
extern unsigned int sde;
extern unsigned volatile int play;

const unsigned int song[] = {
    6,
    5,
    6,
    5,
    3,
    3,
    4
};

void note( unsigned int fr ) {
    sde = freq = fr;
    play = 2000;
}

void winscreen( int player ) {
    int y;
    int l = player==0?0:1;
    int r = player==0?1:0;

    //clearscreen
    for( y = 95; y>=0; y--) {
        videomem[y] = 0;
    }

    //draw smileys
    for( y = 0; y<16; y++ ) {
        videomem[y*4+3] = wwinloose[l][y*2+1];
        videomem[y*4+2] = wwinloose[l][y*2];
        videomem[y*4+1] = wwinloose[r][y*2+1];
        videomem[y*4  ] = wwinloose[r][y*2];
    }

    //draw text
    for( y = 0; y<5; y++ ) {
        videomem[(18+y)*4+3] = wtext[y*2+1];
        videomem[(18+y)*4+2] = wtext[y*2];
    }

    //draw number
    for( y = 0; y<6; y++ ) {
        videomem[(17+y)*4] = wnum[player][y];
    }

    y = 0;
    l = 500;
    while(1) {
        LPM0;
        P2OUT = 0xff;
        //play a melody
        if( y < (sizeof(song)>>1) && play == 0) {
            note( song[y++] );
        }
        if( (~P1IN & FIRE1) != 0 || (~P2IN & FIRE2) != 0 || --l == 0) break;
        P2OUT = 0;
    }
}
